{***************************************************************
 *
 * Unit Name : FileOpForm
 * Purpose   : File Operation Dialog
 * Author    : Eugen Mihailescu
 * Company   : EM Quicksoft Romania SRL
 * Copyright : 1998,2002  All rights reserved.
 * Web Site  : http://www.em-quicksoft.com
 * Support   : support@em-quicksoft.com
 * History   : 03/18/2000
 *
 * Disclaimer: The objectives of this program is only educational.
 *             You MUST NOT use it without getting any material benefit on it
 *             You have the right to share this code with others without removing
 *             the copyright and/or disclaimer notice.
 *             You are allowed to include its code in your application
 *             only if it was designed for non commercial purpose,
 *             otherwise we claim $10 for each copy of your
 *             application which contains this code inside.
 ****************************************************************}

Unit FileOpForm;

Interface

Uses
  Windows,
  Messages,
  SysUtils,
  Classes,
  Graphics,
  Controls,
  Forms,
  Dialogs,
  StdCtrls,
  ComCtrls,
  ExtCtrls;

Type
  TfrmFileOp = Class(TForm)
    aviFileOp: TAnimate;
    btnCancel: TButton;
    lblFrom: TLabel;
    ProgressBar: TProgressBar;
    lblTo: TLabel;
    lblEstimated: TLabel;
    Procedure btnCancelClick(Sender: TObject);
    Procedure FormCreate(Sender: TObject);
    Procedure FormCloseQuery(Sender: TObject; Var CanClose: Boolean);
    Procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    vMessage: String;
    vResult: Boolean;
    vCanClose: Boolean;
  End;

Var
  frmFileOp         : TfrmFileOp;

Implementation

{$R *.DFM}
//******************* TfrmFileOp.btnCancelClick *************************

Procedure TfrmFileOp.btnCancelClick(Sender: TObject);
Begin
  vResult := False;
  vResult := MessageDlg(vMessage, mtConfirmation, [mbYes, mbNo], 0) = mrYes;
End;
//******************* TfrmFileOp.FormCreate *************************

Procedure TfrmFileOp.FormCreate(Sender: TObject);
Begin
  vResult := False;
  vCanClose := False;
End;
//******************* TfrmFileOp.FormCloseQuery *************************

Procedure TfrmFileOp.FormCloseQuery(Sender: TObject;
  Var CanClose: Boolean);
Begin
  CanClose := vCanClose;
End;
//******************* TfrmFileOp.FormShow *************************

Procedure TfrmFileOp.FormShow(Sender: TObject);
Begin
  ProgressBar.Position := 0;
End;

End.

